matrix:
  platform:
    - debian11
    - fedora40
    - macos
    - macos_arm64
    - windows
  bazel: [7.x, 8.x]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@lz4//:lz4"
      - "@lz4//:lz4_hc"
      - "@lz4//:lz4_frame"
      - "@lz4//programs:lz4"
  verify_multithreading_targets:
    name: Verify build targets with multithreading
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@lz4//:lz4"
      - "@lz4//:lz4_hc"
      - "@lz4//:lz4_frame"
      - "@lz4//programs:lz4"
    build_flags:
      - "--@lz4//programs:multithreading=true"
